## net.i2p.router.web
Class JobQueueHelper

    java.lang.Object
      net.i2p.router.web.JobQueueHelper

    public class JobQueueHelper

extends java.lang.Object

Constructor Summary
`JobQueueHelper()`

Method Summary
`java.lang.String` `getJobQueueSummary()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobQueueHelper

    public JobQueueHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setWriter

    public void setWriter(java.io.Writer writer)

### getJobQueueSummary

    public java.lang.String getJobQueueSummary()